%define major 6
%define libname	%mklibname esmtp %{major}
%define develname %mklibname esmtp -d

%define plugindir %{_libdir}/esmtp%{major}-plugins

Summary:	SMTP client library
Name:		libesmtp
Version:	1.0.6
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.stafford.uklinux.net/libesmtp/
Source0:	ttp://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.xz
Patch0:		libesmtp-build.patch
BuildRequires:	openssl-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	libltdl-devel
BuildRequires:	automake
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRequires:	pkgconfig

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package -n	%{libname}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.


%package -n	%{develname}
Summary:	Headers and development libraries for libESMTP
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep 

%setup -q
%patch0 -p1 -b .build

%build
rm -f configure
libtoolize --copy --force; aclocal; autoconf; autoheader; automake --gnu --add-missing --copy

if pkg-config openssl ; then
    export CFLAGS="$CFLAGS %{optflags} `pkg-config --cflags openssl`"
    export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
    export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

%configure2_5x \
    --with-auth-plugin-dir=%{plugindir} \
    --enable-pthreads \
    --enable-require-all-recipients \
    --enable-etrn \
    --enable-ntlm --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%{plugindir}/*.a
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
%multiarch_binaries %{buildroot}%{_bindir}/libesmtp-config

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS Notes README TODO
%{_libdir}/libesmtp.so.%{major}*
%{plugindir}

%files -n %{develname}
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/libesmtp-config
%{_bindir}/libesmtp-config
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Tue Oct 15 2019 tex - 1.0.6-3pclos2019
- rebuild against updates

* Mon Jul 24 2017 bb2 <bb2> - 1.0.6-2pclos2017
- rebuild against updates

